<template>
    <el-table
        :data="tableRows"
        border
        :show-header="false"
        :highlight-current-row="true"
    >
        <el-table-column
            label='Prop'
            prop='key'
            width="120"
            >
        </el-table-column>
        <el-table-column
            label='Value'
            prop='value'
            :resizable="true"
            min-width="250"
            >
        </el-table-column>

    </el-table>
</template>

<script>
export default {
    props: {
        /** content params of the table */
        params: {
            type: Object,
            required: false,
            default: () => {},
        },
    },
    computed: {
        tableRows() {
            const result = [];
            Object.keys(this.params).forEach((key) => {
                if (this.params[key]) {
                    result.push({ key, value: this.params[key] });
                }
            });
            return result;
        },
    },
};
</script>

<style lang="stylus" scoped>
.el-table
    margin-bottom: 2rem
    color: $dark_gray

</style>
